Finnish translation for NSIS needs refinement
The Finnish NSIS translation needs a bit of fixing wrt vocabulary and grammar to meet quality standards.

Complete fixed version and diff follows. Please replace the currently used nlf-file with the attached one (/patch the old one).